Bug 1768117 - Software caused connection abort
Summary: Software caused connection abort
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libsmbios
Version: 31
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Michael E Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-02 16:05 UTC by ben
Modified: 2019-11-05 18:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 18:09:34 UTC


Attachments (Terms of Use)
browse URL of attached USB in router (38.74 KB, image/png)
2019-11-02 16:05 UTC, ben
no flags Details

Description ben 2019-11-02 16:05:05 UTC
Created attachment 1631925 [details]
browse URL of attached USB in router

Description of problem: 
Unable to browse local network folders of my routers attached USB Pendrive

Version-Release number of selected component (if applicable):


How reproducible:
consistent

Steps to Reproduce:
1.open/use file browser
2.click link open/to local network folder
3.Error:Internal Error

Actual results:
Unknown error condition in stat: Software caused connection abort

Expected results:
open folder URL

Additional info:
Was ok on fc30
Wasn't sure which component
I recompiled the kernel with hoping to correct it but to no avail.

Comment 1 ben 2019-11-02 17:01:21 UTC
Upgraded fc30>31 and the ability to browse USB Pendrive in the back of the router ceased

Comment 2 sidewinds 2019-11-04 15:36:12 UTC
Hi,

I had a similar problem with samba connections with my network storage.

As found in this post:
https://bugzilla.redhat.com/show_bug.cgi?id=1753835#

-> Samba 4.11 switched off SMB1 protocol support by default.

Check the settings of your router, if you can select a higher version of Samba then 1.

This solved my issue with the NAS.

Best regards,
sidewinds

Comment 3 ben 2019-11-04 16:22:29 UTC
There's nothing I can change on the router.
I think the kernel changed with USB gadgets support...giving another try with recompiling as nothing else is making sense

Comment 4 ben 2019-11-04 18:23:08 UTC
Thank you Samba...oh well probably insecure, I can use it on Android with an address of smb://192.168.1.254 so I'll just use that until if ever this becomes available again

Comment 5 sidewinds 2019-11-05 14:59:52 UTC
Did you try the other SMB1 dialects, e.g. NT1, LANMAN2
and LANMAN1?

Details: https://www.samba.org/samba/history/samba-4.11.0.html
(section "SMB1 is disabled by default")

Comment 6 ben 2019-11-05 15:18:03 UTC
Not sure I understand what that means but my LAN attached printer is found with no problems
I replaced smb:// with NT1://, LANMAN2:// and LANMAN1:// but just got 'protocal not supported' or should I manually configure smb.conf?

Comment 7 sidewinds 2019-11-05 16:24:49 UTC
It means e.g. the options in smb.conf:

Example:
[global]
 client min protocol = NT1

But it did not work for me.. My NAS had the option to use SMB2 or 3.

Comment 8 ben 2019-11-05 16:44:46 UTC
Cool

That Hit it. 
Exactly as your example!

Thank you @sidewinds


Note You need to log in before you can comment on or make changes to this bug.